<template>
    <div>
        <v-card v-for="(follower, key) in instaFollowers"
                :id="key + '-card'"
                :key="key"
                class="mx-auto mb-8  elevation-10"
                color="#fff"
                light
                max-width="350">
            <v-card-actions>
                <v-list-item>
                    <v-list-item-avatar class="mr-0" color="grey darken-3">
                        <v-img
                            class="elevation-10"
                            :src="require(`@/assets/images/${follower.avatar}.jpg`)"/>
                    </v-list-item-avatar>
                    <v-card-text class="pl-0">
                        <span class="instagram-name-card black--text"> @{{ key }} </span>
                        <span class="instagram-action-card"> {{ follower.action }} </span>
                    </v-card-text>
                    <v-icon class="mr-1" color="red">
                        {{ follower.icon }}
                    </v-icon>
                </v-list-item>
            </v-card-actions>
        </v-card>
    </div>
</template>

<script>
export default {
    name: 'InstaNotificationCard',
    data: () => ({
        instaFollowers: {
            amanda: {
                avatar: 'amanda',
                action: 'started following you'
            },
            jhondoe: {
                avatar: 'jhondoe',
                action: 'liked your post',
                icon: 'fa fa-heart'
            },
            evelin: {
                avatar: 'evelin',
                action: 'started following you'
            }
        }
    })
}
</script>

<style lang="scss" scoped>
    #jhondoe-card {
        left: 8%;
    }
</style>
